Bug 731419

Summary: Include ppc64-diag in Fedora 16 ppc64
Product: [Fedora] Fedora Reporter: Brent Baude <bbaude>
Component: distributionAssignee: Bill Nottingham <notting>
Status: CLOSED CURRENTRELEASE QA Contact: Bill Nottingham <notting>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: bugproxy, dennis, jjarvis, karsten, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-12 15:21:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 736062    
Bug Blocks:    

Description Brent Baude 2011-08-17 15:24:31 UTC
Description of problem:

Please considering adding the latest ppc64-diag to the ppc64 F16 distribution.   ppc64-diag is the opensource version of diagela for ppc64 (IBM hardware).  

Source can be obtained from -> http://sourceforge.net/projects/linux-diag/files/ppc64-diag/

rpmspec is included in the tarball and builds cleanly on early versions of f16 ppc64.

Version-Release number of selected component (if applicable):
2.4.2



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Karsten Hopp 2011-08-17 16:49:22 UTC
I'm not a lawyer, but I don't think we can ship it with that license:

> Licensee does not 1) use, copy, modify, or distribute the Program except as
> expressly permitted in this Agreement; 2) reverse
> assemble, reverse compile, otherwise translate, or reverse 
> engineer the Program.

(There's no explicit permission to modify/distribute anywhere else in the COPYRIGHT file)


Fedora is all about free software, each package needs to be freely modifyable and distributable. Each package shipped by Fedora needs to have an approved License that is listed at 
http://fedoraproject.org/wiki/Licensing#SoftwareLicenses

That is clearly stated at
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Fedora_Licensing

On that latter page there is also information on how to get a license approved by our legal team.

Comment 2 IBM Bug Proxy 2011-08-17 17:10:23 UTC
------- Comment From baude@us.ibm.com 2011-08-17 13:00 EDT-------
reverse mirror test for RH bug 731419

Comment 3 IBM Bug Proxy 2011-08-17 19:11:14 UTC
------- Comment From kenistoj@us.ibm.com 2011-08-17 15:09 EDT-------
(In reply to comment #3)
...
> Additional info:
> I'm not a lawyer, but I don't think we can ship it with that license...
Understood.  I'll pursue the licensing issue.

Comment 4 IBM Bug Proxy 2011-08-19 15:51:14 UTC
------- Comment From kenistoj@us.ibm.com 2011-08-19 11:45 EDT-------
We'll post a new tarball with the correct (open-source) license early next week.

Comment 5 IBM Bug Proxy 2011-08-22 07:10:37 UTC
------- Comment From janithra@in.ibm.com 2011-08-22 03:02 EDT-------
Please use the tarball at - https://sourceforge.net/projects/linux-diag/files/ppc64-diag/2.4.2/
This package has the EPL license.

Comment 6 Karsten Hopp 2011-09-07 11:30:48 UTC
The ppc64-diag-2.4.2 tarball isn't available anymore from sourceforge.
I still have a copy, but could you please make it at official release that everyone can access ?

Comment 7 Karsten Hopp 2011-09-07 15:08:27 UTC
rpmlint is also complaining about missing man pages. I suspect that thos ebinaries aren't intended for normal use, and are only helpers for the startup script and the daemon, is that correct ?
    ppc64-diag.ppc64: W: no-manual-page-for-binary convert_dt_node_props
    ppc64-diag.ppc64: W: no-manual-page-for-binary rtas_errd
    ppc64-diag.ppc64: W: no-manual-page-for-binary add_regex
    ppc64-diag.ppc64: W: no-manual-page-for-binary extract_platdump
    ppc64-diag.ppc64: W: no-manual-page-for-binary diag_encl

Comment 8 IBM Bug Proxy 2011-09-07 21:50:27 UTC
------- Comment From kenistoj@us.ibm.com 2011-09-07 17:49 EDT-------
(In reply to comment #8)
> rpmlint is also complaining about missing man pages. I suspect that thos
> ebinaries aren't intended for normal use, and are only helpers for the startup
> script and the daemon, is that correct ?
> ppc64-diag.ppc64: W: no-manual-page-for-binary convert_dt_node_props
> ppc64-diag.ppc64: W: no-manual-page-for-binary rtas_errd
> ppc64-diag.ppc64: W: no-manual-page-for-binary add_regex
> ppc64-diag.ppc64: W: no-manual-page-for-binary extract_platdump
> ppc64-diag.ppc64: W: no-manual-page-for-binary diag_encl

Correct.

Comment 9 IBM Bug Proxy 2011-09-08 09:50:36 UTC
------- Comment From janithra@in.ibm.com 2011-09-08 05:46 EDT-------
(In reply to comment #7)
> The ppc64-diag-2.4.2 tarball isn't available anymore from sourceforge.
> I still have a copy, but could you please make it at official release that
> everyone can access ?

Done. The folder was deleted accidentally , tarball is now available at https://sourceforge.net/projects/linux-diag/files/ppc64-diag/2.4.2/

Comment 10 Karsten Hopp 2011-09-12 15:21:55 UTC
Package is in the latest mash trees:

http://ppc.koji.fedoraproject.org/mash/16/ppc64/os/Packages/ppc64-diag-2.4.2-3.fc16.ppc64.rpm


@IBM: You might want to check http://ppc.koji.fedoraproject.org/packages/ppc64-diag/2.4.2/3.fc16/src/ppc64-diag-2.4.2-3.fc16.src.rpm, as there are additional spec file changes, i.e. the helper binaries got moved to /usr/libexec

Comment 11 IBM Bug Proxy 2012-01-07 01:10:21 UTC
------- Comment From dlshaw@us.ibm.com 2012-01-06 20:06 EDT-------
I installed Fedora 16 using the following DVD ISO
http://ppc.koji.fedoraproject.org/scratch/karsten/iso/RC3/ppc64/iso/

I then used the "ibmtools" script to install the LoP RAS tools.  It doesn't install them all as not all are currently available.  But it did install the tools I need to get rtas_errd (ppc64-diag-2.4.2-4.fc16.ppc64).

Here is the output from ibmtools --install

[root@j62b tmp]# wget http://ausgsa.ibm.com/projects/p/poweryum/ibmtools/ibmtools
--2012-01-06 11:27:50-- http://ausgsa.ibm.com/projects/p/poweryum/ibmtools/ibmtools
Resolving ausgsa.ibm.com... 9.41.254.24, 9.41.254.37, 9.41.254.82, ...
Connecting to ausgsa.ibm.com|9.41.254.24|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 33092 (32K) [text/plain]
Saving to: ?ibmtools?

100%[============================================================================>] 33,092 --.-K/s in 0.003s

2012-01-06 11:27:50 (10.4 MB/s) - ?ibmtools? saved [33092/33092]

[root@j62b tmp]# chmod +x ibmtools
[root@j62b tmp]# ./ibmtools --uninstall

Operating System: Fedora
Version: 16
HMC/IVM Managed? no

Reading repositories...done

Package Name Installed In Repository
------------ --------- -------------
DynamicRM.ppc64 (not installed) 1.3.9-7
IBMinvscout.ppc64 (not installed) 2.3.2-2
devices.chrp.base.ServiceRM.ppc (not installed) 2.3.0.0-11231
fdprpro.ppc64 (not installed) 5.6.1-3
ibm-lop-utils.ppc64 (not installed) 0.1.3-0
ibm-power-at-repo.ppc (not installed) 0.0.2-2
ibm-power-internal-fedora.ppc64 (not installed) 1.0.1-1
ibm-power-internal-repo.ppc (not installed) 0.0.60-1
ibm-power-managed-fedora.ppc64 (not installed) 1.0.2-1
ibm-power-nonmanaged-fedora.ppc64 1.0.0-2 1.0.1-1
ibm-power-repo.ppc (not installed) 1.1.6-5
ibm-sdk-lop.ppc64 (not installed) 0.8.3-2
ibm-sdk-lop-server.ppc64 (not installed) 0.8.3-2
libservicelog.ppc 1.1.11-7.el6 1.1.11-7.el6
libservicelog.ppc64 1.1.11-7.el6 1.1.11-7.el6
libservicelog-devel.ppc (not installed) 1.1.11-7.el6
libservicelog-devel.ppc64 (not installed) 1.1.11-7.el6
powerpc-utils-python.ppc64 (not installed) 1.2.1-5
pthread-mon.ppc64 (not installed) 0.5.4-1
rsct.basic.ppc (not installed) 3.1.0.7-11277
rsct.core.ppc (not installed) 3.1.0.7-11277
rsct.core.utils.ppc (not installed) 3.1.0.7-11277
rsct.sdk.ppc (not installed) 3.1.0.7-11277
src.ppc 1.3.1.1-11277 1.3.1.1-11277

[root@j62b tmp]# ./ibmtools --install

Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: fedora updates
Cleaning up Everything
No delta-package files removed by presto
Retrieving http://ausgsa.ibm.com/projects/p/poweryum/ibmtools/ibm-power-internal-repo.rpm
Preparing... ########################################### [100%]
1:ibm-power-internal-repo########################################### [100%]
Loaded plugins: langpacks, presto, refresh-packagekit
IBM_Power_Internal_Tools | 951 B 00:00
IBM_Power_SDK_Tools | 951 B 00:00
IBM_Power_Tools | 951 B 00:00
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ibm-power-nonmanaged-fedora.ppc64 0:1.0.0-2 will be updated
---> Package ibm-power-nonmanaged-fedora.ppc64 0:1.0.1-1 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================
Package Arch Version Repository Size
======================================================================================================================
Updating:
ibm-power-nonmanaged-fedora ppc64 1.0.1-1 IBM_Power_Tools 1.9 k

Transaction Summary
======================================================================================================================
Upgrade 1 Package

Total download size: 1.9 k
Downloading Packages:
Setting up and reading Presto delta metadata
ibm-power-nonmanaged-fedora-1.0.1-1.ppc64.rpm | 1.9 kB 00:00
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : ibm-power-nonmanaged-fedora-1.0.1-1.ppc64 1/2
Cleanup : ibm-power-nonmanaged-fedora-1.0.0-2.ppc64 2/2

Updated:
ibm-power-nonmanaged-fedora.ppc64 0:1.0.1-1

Complete!
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ibm-power-internal-fedora.ppc64 0:1.0.1-1 will be installed
--> Processing Dependency: ibm-lop-utils for package: ibm-power-internal-fedora-1.0.1-1.ppc64
--> Processing Dependency: sg3_utils for package: ibm-power-internal-fedora-1.0.1-1.ppc64
--> Processing Dependency: lsscsi for package: ibm-power-internal-fedora-1.0.1-1.ppc64
--> Running transaction check
---> Package ibm-lop-utils.ppc64 0:0.1.3-0 will be installed
---> Package lsscsi.ppc64 0:0.25-1.fc16 will be installed
---> Package sg3_utils.ppc64 0:1.31-1.fc16 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================
Package Arch Version Repository Size
======================================================================================================================
Installing:
ibm-power-internal-fedora ppc64 1.0.1-1 IBM_Power_Internal_Tools 1.6 k
Installing for dependencies:
ibm-lop-utils ppc64 0.1.3-0 IBM_Power_Internal_Tools 26 k
lsscsi ppc64 0.25-1.fc16 fedora 41 k
sg3_utils ppc64 1.31-1.fc16 fedora 486 k

Transaction Summary
======================================================================================================================
Install 4 Packages

Total download size: 555 k
Installed size: 628 k
Downloading Packages:
(1/4): ibm-lop-utils-0.1.3-0.ppc64.rpm | 26 kB 00:00
(2/4): ibm-power-internal-fedora-1.0.1-1.ppc64.rpm | 1.6 kB 00:00
(3/4): lsscsi-0.25-1.fc16.ppc64.rpm | 41 kB 00:00
(4/4): sg3_utils-1.31-1.fc16.ppc64.rpm | 486 kB 00:01
----------------------------------------------------------------------------------------------------------------------
Total 227 kB/s | 555 kB 00:02
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : lsscsi-0.25-1.fc16.ppc64 1/4
Installing : sg3_utils-1.31-1.fc16.ppc64 2/4
Installing : ibm-lop-utils-0.1.3-0.ppc64 3/4
Installing : ibm-power-internal-fedora-1.0.1-1.ppc64 4/4

Installed:
ibm-power-internal-fedora.ppc64 0:1.0.1-1

Dependency Installed:
ibm-lop-utils.ppc64 0:0.1.3-0 lsscsi.ppc64 0:0.25-1.fc16 sg3_utils.ppc64 0:1.31-1.fc16

Complete!
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
No Packages marked for Update
Operating System: Fedora
Version: 16
HMC/IVM Managed? no

Reading repositories...done

Package Name Installed In Repository
------------ --------- -------------
DynamicRM.ppc64 (not installed) 1.3.9-7
IBMinvscout.ppc64 (not installed) 2.3.2-2
devices.chrp.base.ServiceRM.ppc (not installed) 2.3.0.0-11231
fdprpro.ppc64 (not installed) 5.6.1-3
ibm-lop-utils.ppc64 0.1.3-0 0.1.3-0
ibm-power-at-repo.ppc (not installed) 0.0.2-2
ibm-power-internal-fedora.ppc64 1.0.1-1 1.0.1-1
ibm-power-internal-repo.ppc 0.0.60-1 0.0.60-1
ibm-power-managed-fedora.ppc64 (not installed) 1.0.2-1
ibm-power-nonmanaged-fedora.ppc64 1.0.1-1 1.0.1-1
ibm-power-repo.ppc (not installed) 1.1.6-5
ibm-sdk-lop.ppc64 (not installed) 0.8.3-2
ibm-sdk-lop-server.ppc64 (not installed) 0.8.3-2
libservicelog.ppc 1.1.11-7.el6 1.1.11-7.el6
libservicelog.ppc64 1.1.11-7.el6 1.1.11-7.el6
libservicelog-devel.ppc (not installed) 1.1.11-7.el6
libservicelog-devel.ppc64 (not installed) 1.1.11-7.el6
powerpc-utils-python.ppc64 (not installed) 1.2.1-5
pthread-mon.ppc64 (not installed) 0.5.4-1
rsct.basic.ppc (not installed) 3.1.0.7-11277
rsct.core.ppc (not installed) 3.1.0.7-11277
rsct.core.utils.ppc (not installed) 3.1.0.7-11277
rsct.sdk.ppc (not installed) 3.1.0.7-11277
src.ppc 1.3.1.1-11277 1.3.1.1-11277

However, the rtas_errd service wouldn't start automatically when the system booted.  I worked with Jim Keniston today and we were able to work around the problem by manually adding rtas_errd as a startup service.  Did this by running the following commands:

// Create symbolic link of rtas_errd in /etc/init.d/
ln -s /usr/libexec/ppc64-diag/rtas_errd /etc/init.d/rtas_errd

// Use chkconfig to add rtas_errd service to the proper runlevels to start during power on
chkconfig rtas_errd on

Work needs to be done so the end user doesn't have to do these manual steps on a Fedora environment.